using System.Configuration;
using System.Diagnostics;
using System.Net;
using System.Threading;
using Microsoft.WindowsAzure.ServiceRuntime;

namespace WebAndWorkerRole
{
    public class WebRole : RoleEntryPoint
    {
        public override bool OnStart()
        {
            // Set the maximum number of concurrent connections 
            ServicePointManager.DefaultConnectionLimit = 12;

            Trace.Listeners.Add(new TextWriterTraceListener("RoleEntryPoint.log"));
            Trace.AutoFlush = true;

            Trace.TraceInformation("WebAndWorkerRole OnStart called");
            Trace.TraceInformation("Config Value: {0}",
                    ConfigurationManager.AppSettings["ConfigValue"]);

            // For information on handling configuration changes
            // see the MSDN topic at http://go.microsoft.com/fwlink/?LinkId=166357.
            return base.OnStart();
        }

        public override void Run()
        {
            // This is a sample worker implementation. Replace with your logic.
            Trace.TraceInformation("WebAndWorkerRole Run called");

            while (true)
            {
                Thread.Sleep(10000);
                Trace.TraceInformation("Config Value: {0}",
                    ConfigurationManager.AppSettings["ConfigValue"]);
            }
        }
    }
}
